# I2C channel used
channel = 1                                 #/dev/i2c-1

#  BME680 defaults to address 0x76
BME680_I2C_ADDRESS = 0x76                   #alt address 0x77



"""do not change definitions bellow"""
BME680_DevID		= 0x61
BME680_RESET_CODE	= 0xB6

#  Define BME680 Register Map
BME680_STATUS_REGISTER           =    0x1D  # Device status register
BME680_GAS_HEATER_REGISTER0      =    0x5A  # Heater Register 0 address
BME680_GAS_DURATION_REGISTER0    =    0x64  # Heater duration address
BME680_CONTROL_GAS_REGISTER1     =    0x70  # Gas control register on/off
BME680_CONTROL_GAS_REGISTER2     =    0x71  # Gas control register settings
BME680_CONTROL_HUMIDITY_REGISTER =    0x72  # Humidity control register
BME680_SPI_REGISTER              =    0x73  # Status register for SPI memory
BME680_CONTROL_MEASURE_REGISTER  =    0x74  # Temp, Pressure control register
BME680_CONFIG_REGISTER           =    0x75  # Configuration register
BME680_ID_ADDR                   =    0xD0  # Chip-Id register
BME680_SOFTRESET_REGISTER        =    0xE0  # Reset when 0xB6 is written here
BME680_CHIPID                    =    0x61  # Hard-coded value 0x61 for BME680
 
# Define sensor constants for measurements
#OSR [over sample rate]
BME680_OSRX0 =  0                       #sensor OFF
BME680_OSRX1 =  1
BME680_OSRX2 =  2
BME680_OSRX4 =  3
BME680_OSRX8 =  4
BME680_OSRX16 = 5
#Filter
BME680_Filter_Off       = 0
BME680_Filter_2         = 1
BME680_Filter_4         = 2
BME680_Filter_8         = 3
BME680_Filter_16        = 4
BME680_Filter_32        = 5
BME680_Filter_64        = 6
BME680_Filter_128       = 7

